
Redmine - Defect #20663

upgrade redmine 2.3 to 3.1 - filters

2015-09-02 18:18 - stephane pham

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.1.0

Description

Hi,

I upgrade redmine 3.1 from 2.3.

Display filters disappeared,  i can filter by clicking on my custom reports but no filters.

See attachment

Best regards,

History

#1 - 2015-09-03 01:25 - Toshi MARUYAMA

- Category deleted (Database)

- Status changed from New to Needs feedback

See Submissions.

#2 - 2015-09-03 09:46 - Lukasz Gromanowski

stephane pham wrote:

Hi,

I upgrade redmine 3.1 from 2.3.

Display filters disappeared,  i can filter by clicking on my custom reports but no filters.

See attachment

Best regards,

 Hi,

I have the same issue after upgrading from r13333 to r14540.

Environment:

  Redmine version                3.1.0.devel.14540

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-freebsd10.1]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.14

  Mercurial                      3.5

  Bazaar                         2.6.0

  Git                            2.4.6

  Filesystem                     

Redmine plugins:

  redmine_blocks_layout          0.0.2

  redmine_github_hook            0.2.0

#3 - 2015-09-03 09:59 - stephane pham

Hi,
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/projects/redmine/repository/svn/revisions/13333
https://www.redmine.org/projects/redmine/repository/svn/revisions/14540


I'am on debian 8 with SQL SERVER 2012.

#4 - 2015-09-07 08:45 - Lukasz Gromanowski

@Devs: This issue is in "Needs feedback" state - what additional information would you need?

#5 - 2015-09-07 10:35 - Toshi MARUYAMA

Try without plugins.

#6 - 2015-09-07 20:20 - Lukasz Gromanowski

Toshi MARUYAMA wrote:

Try without plugins.

 I've removed both plugins (github hook and blocks layout) and unfortunately problem is still visible.

#7 - 2015-09-08 04:27 - Toshi MARUYAMA

- Category set to Issues

- Status changed from Needs feedback to New

#8 - 2015-09-08 04:29 - Toshi MARUYAMA

What browser do you use?

#9 - 2015-09-08 09:00 - Lukasz Gromanowski

Toshi MARUYAMA wrote:

What browser do you use?

 I tried it on Firefox 40.0.3, but one of our users tried it on different browsers and the issue is visible on Chrome and Opera too:  

https://forum.openmw.org/viewtopic.php?f=10&t=3055 (our bugtracker is here: https://bugs.openmw.org/ )

#10 - 2015-09-14 09:54 - stephane pham

UP ? :=)

#11 - 2015-09-16 15:32 - stephane pham

My filters are not display.

Someone ?

#12 - 2015-09-26 19:03 - Lukasz Gromanowski

stephane pham wrote:

My filters are not display.

Someone ?

 Hi,

I switched back to my old backup of Redmine and I have used svn switch to v2.6.7 tag:

svn switch http://svn.redmine.org/redmine/tags/2.6.7

and then I was doing step by step svn switch from v3.0.0 tag through v3.1.1 with Redmine update procedure after each svn switch and it seems that

filters are working. I think there is some incorrect commit in trunk which is missing in tags, so doing svn up to the latest trunk from some old version

can cause broken filters.

#13 - 2016-01-24 13:34 - Claudio Previtali

I was it by the same problem trying to update from 2.5.3 to 2.6.9 .

I've also tried to update to some other minor version in the 2.6 branch (2.6.7 and 2.6.0) but the problem persisted.

The only working solution for me was revert to previous version, then filter start working again.
https://forum.openmw.org/viewtopic.php?f=10&t=3055
https://bugs.openmw.org/


I've also tried to watch if it was some pluging/theme problem, but even after disabling all additional element no filter is showed in issues page.

From a very brief look ad the generated html it seems that the entire filter table is missing, and inside the row there is only the only the add filter

dropdown.

#14 - 2024-01-28 13:27 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce
